{ config, lib, pkgs, nixos-hardware, modulesPath, ... }: {

  imports = with nixos-hardware.nixosModules;
    [
      (modulesPath + "/installer/scan/not-detected.nix")
      # TODO: Not relevant anymore anyway
    ];

  boot.initrd.availableKernelModules =
    [ "xhci_pci" "nvme" "usb_storage" "usbhid" "sd_mod" ];
  boot.kernelModules = [ "kvm-intel" "qmi_wwan" ]; # TODO: qmi_wwan required?
  environment.systemPackages = with pkgs; [
    modemmanager
    libmbim
    libqmi
  ]; # TODO: this should not be required
  # Ignore Realtek smartcard (gpg is not very smart)
  # See https://ludovicrousseau.blogspot.com/2015/12/remove-andor-customize-pcsc-reader-names.html
  systemd.services.pcscd.environment.PCSCLITE_FILTER_IGNORE_READER_NAMES =
    "Realtek";

  hardware.video.hidpi.enable = true;

  # Power configuration
  services.tlp.enable = true;
  services.power-profiles-daemon.enable = false;

  # CPU Configuration
  hardware.cpu.intel.updateMicrocode = true;
  services.throttled.enable = true;
  powerManagement.cpuFreqGovernor = lib.mkDefault "performance";
}
